<?
if (!defined('webid')) {
    exit();
}
if (!isset($_SESSION["username"]) && !isset($_SESSION["password"])) {
    header("Location: /");
	exit();
}
 
?>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Здесь зарабатывают на чтении писем</h3>
<? if ($_GET['view']) {?>
Внимательно прочитайте письмо рекламодателя. Часто в них можно найти нечто совершенно новое для себя. Однако не все письма одинаково правдивы и полезны. Письмо будет засчитано, когда вы правильно ответите на контрольный вопрос внизу и просмотрите сайт.
<?} else {?>
На <b><?=$sitename ?></b> есть много чего, за что платят реальные деньги: просмотр рекламных сайтов, чтение писем, а так же выполнение несложных заданий. Работа не пыльная и интересная. А вместе с рефераллами - ещё и весьма доходная!
<?
}
if ($finestatus != '0') {
    echo '
        <div class="alert alert-block alert-error fade in">
            <h4 class="alert-heading">Внимание! На ваш аккаунт наложен штраф!</h4>
            <p>Ваш акаунт частично заблокирован за нарушение правил ('.$fine_text.') Для разблокировки аккаунта, вам необходимо оплатить штраф за нарушение, если вы не согласны с этим, можете покинуть проект, ваш аккаунт будет удален в течение 10 суток.</p>
            <p>
              <a class="btn btn-danger" href="/basket">Оплатить штраф</a> <a class="btn" href="/tos">Правила</a>
            </p>
        </div>';
} else {
if ($pemail == '') {
    echo '
	    <div class="alert alert-block alert-error fade in">
            <h4 class="alert-heading">У Вас не указан WM кошелек!</h4>
            <p>Доступ в раздел заработка будет заблокирован до тех пор пока вы не укажете свой WMR кошелек в системе. Пожалуйста, перейдите в раздел <b>Личные данные</b> и укажите WMR кошелек, затем нажмите кнопку <b>сохранить</b>. </p>
        </div>';
    } else {
    
	if ($keyok != 1) {
    echo '
	    <div class="alert fade in">
            <strong>Аккаунт не активирован!</strong><br> Пожалуйста, перейдите в Мои личные данные и активируйте аккаунт. Ключ отправлен вместе с регистрационными данными на email адрес указанный при регистрации .
        </div>';
    } else {
    ?><center><h4>Зарабатывай, читая письма рекламодателей</h4></center><?
    if ($_GET['view']) {
    $ident = intval($_GET['view']);
    $sql = mysql_query("SELECT * FROM seo_paymails WHERE id = '$ident' and paused = 0 and balance > price and modered = 1");
    if (mysql_num_rows($sql) == 0) {
        echo '<div style="color:#800000; margin:5px;" align="center">Ошибка! Письмо удалено или не доступно</div>';
    } else {
        $row = mysql_fetch_assoc($sql);
        $pmvisit = mysql_fetch_array( mysql_query( "SELECT ident, time FROM seo_paymailsviews WHERE ident = '" . $row['id'] . "' and fromid = '" . $_SESSION['iduser'] . "'" ) );
        if ($pmvisit['ident'] == $row['id'] and $row['many'] == 0 or $pmvisit['time'] > time()) {
            echo '<div style="color:#800000; margin:5px;" align="center">Вы уже получили оплату за чтение письма!</div>';
        } else {
        ?>
        <script type="text/javascript">
        function backpm() {
            hax({url:'/readmails', id:'flax'});
        }
        function answerok(pmid) {
            if ($('#answer:checked').val() == undefined) {
                alert('Выберите ответ');
            } else {
                $.post('ajax.php?func=answerpmail',{
                    id: pmid,
                    answer: $('#answer:checked').val()
                }, function(data){
                    if (data == 1){
                        $('#spool').html('<tr><td style="background: #ebebeb; padding: 5px;" align="center"><a href="views.php?func=pmails&id='+pmid+'" target="_blank" class="big_btn" onclick="backpm();">Перейти на сайт</a></td></tr>');
                    } else
                    if (data == 2){
                        hax({url:'/readmails', id:'flax'});
                    }
                });
            }
            return false;
        }
        </script>
        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="otab">
            <thead>
                <th style="padding: 5px; background: #ebebeb; color: #286286; font-size: 12px; font-weight: normal;" align="center"><font color="#8D950B">ID: <?=$row['id']?></font>&nbsp;&nbsp;&nbsp;<?=$row['name']?></th>
            </thead>
            <tr>
                <td class="rt"><?
                $array = explode(" ", $row['description']);
                for ($j = 0, $array_num = count($array); $j < $array_num; $j++) {
                    $word_split = wordwrap($array[$j], 70, "<br />", true);
                    echo $word_split . ' ';
                }
                ?></td>
            </tr>
            <tbody id="spool">
            <tr>
                <td class="rt" style="background: #FAF7BA;" align="center">Ответьте на контрольный вопрос:</td>
            </tr>
            <tr>
                <td class="lt"><font color="#800000"><?=$row['quest']; ?></font><br /><br />
                <?
                $goodans = rand(1, 3);
                for ($i > 0; $i <= 3; $i++) {		
                    if ($i == 2) { ?>
                        <input type='radio' name='answer' id="answer" value='<?=$row['answer2'] ?>' /> <?=$row['answer2'] ?><br />
                    <? }
                    if ($i == 3) { ?>
                        <input type='radio' name='answer' id="answer" value='<?=$row['answer3'] ?>' /> <?=$row['answer3'] ?><br />
                    <? }
                    if ($i == $goodans) { ?>
                        <input type='radio' name='answer' id="answer" value='<?=$row['answer1'] ?>' /> <?=$row['answer1'] ?><br />
                    <? }
                }
                ?>
                </td>
            </tr>
            <tr><td style="background: #ebebeb; padding: 5px;" align="right"><a href="#" onclick="answerok(<?=$row['id']?>)" class="big_btn">Подтвердить</a></td></tr>
            </tbody>
        </table>
        <?
        }
    }
} else {
    $rs = mysql_query("SELECT * FROM seo_paymails WHERE paused = 0 and balance > price and modered = 1 ORDER BY highlight DESC");
?>
<table class='work-serf' width='100%' border='0' cellpadding='0' cellspacing='0'>
<?
while ($row = mysql_fetch_array($rs)) {
    $pmvisit = mysql_fetch_array( mysql_query( "SELECT ident, time FROM seo_paymailsviews WHERE ident = '" . $row['id'] . "' and fromid = '" . $_SESSION['iduser'] . "'" ) );
    if ($pmvisit['ident'] == $row['id'] and $row['many'] == 0 or $pmvisit['time'] > time()) {
        echo '';
    } else {
        if($row['timer'] == 20) $prc = $payuser['pm20'];
        if($row['timer'] == 30) $prc = $payuser['pm30'];
        if($row['timer'] == 40) $prc = $payuser['pm40'];
        if($row['timer'] == 50) $prc = $payuser['pm50'];
        if($row['timer'] == 60) $prc = $payuser['pm60'];
        
        if ($row['highlight'] == 1) {
            $img = 'theme/img/mvipvisit.png';
        } else {
            $img = 'theme/img/mvisit.png';
        }
        mysql_query("UPDATE tb_ads SET modered = 2 WHERE all_zh > 5");
        ?>
        <tr id="pm<?=$row['id']?>">
            <td width="50"><img src="<?=$img?>" width="36" height="36" /></td>
            <td class="ln"><a href="/readmails/view=<?=$row['id']?>"><?=substr($row['name'], 0, 80)?></a></td>
            <td width="100" class="ln" align="right"><span title="Осталось визитов" class="ostalos">(<?=intval($row['balance'] / $row['price'])?>)</span><br /><span class="price"><span style="font-size: 14px;"><?=round($prc,3)?></span> <?=$sitevalname?></span></td>
        </tr>
        <?
    }
}
?>
</table>
<?}?>
<div class="ban1"><? include 'rotator.php' ?></div>
<?} } }?>